<?php

declare(strict_types=1);

namespace Dedi\SyliusSettingsPlugin\Security\Authorization\Checker;

use Dedi\Contracts\SyliusPluginSettings\SettingsProviderInterface;

class PluginSettingsAuthorizationChecker implements AuthorizationCheckerInterface
{
    public function __construct(
        private readonly string $type,
        private readonly SettingsProviderInterface $settingsProvider,
    ) {
    }

    public function isGranted(): bool
    {
        return $this->settingsProvider->provide()->isEnabled();
    }

    public function getType(): string
    {
        return $this->type;
    }
}
